data:extend(
{
--COPPER
	{
    type = "technology",
    name = "angels-copper-smelting-1",
    icon = "__angelssmelting__/graphics/technology/smelting-copper.png",
	icon_size = 128,
	upgrade = true,
	prerequisites =
    {
	"angels-metallurgy-1",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "copper-ore-smelting"
      },
	  {
        type = "unlock-recipe",
        recipe = "molten-copper-smelting"
      },
	  {
        type = "unlock-recipe",
        recipe = "angels-plate-copper"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  },
      time = 15
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "angels-copper-smelting-2",
    icon = "__angelssmelting__/graphics/technology/smelting-copper.png",
	icon_size = 128,
	upgrade = true,
	prerequisites =
    {
	"angels-copper-smelting-1",
	"ore-processing-1",
	"basic-chemistry",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "copper-ore-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "copper-pebbles-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "copper-nugget-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "processed-copper-smelting"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  },
      time = 30
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "angels-copper-smelting-3",
    icon = "__angelssmelting__/graphics/technology/smelting-copper.png",
	icon_size = 128,
	upgrade = true,
	prerequisites =
    {
	"angels-copper-smelting-2",
	"ore-processing-2",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "copper-slag-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "copper-processed-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "pellet-copper-smelting"
      },
	  {
        type = "unlock-recipe",
        recipe = "angels-wire-coil-copper-casting"
      },
	  {
        type = "unlock-recipe",
        recipe = "angels-wire-coil-copper-converting"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1},
	  },
      time = 45
    },
    order = "c-a"
    },
--IRON
	{
    type = "technology",
    name = "angels-iron-smelting-1",
    icon = "__angelssmelting__/graphics/technology/smelting-iron.png",
	icon_size = 128,
	prerequisites =
    {
	"angels-metallurgy-1",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "iron-ore-smelting"
      },
	  {
        type = "unlock-recipe",
        recipe = "molten-iron-smelting-1"
      },
	  {
        type = "unlock-recipe",
        recipe = "angels-plate-iron"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  },
      time = 15
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "angels-iron-smelting-2",
    icon = "__angelssmelting__/graphics/technology/smelting-iron.png",
	icon_size = 128,
	upgrade = true,
	prerequisites =
    {
	"angels-iron-smelting-1",
	"ore-processing-1",
	"angels-coal-processing",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "iron-ore-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-pebbles-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-nugget-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "processed-iron-smelting"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  },
      time = 30
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "angels-iron-smelting-3",
    icon = "__angelssmelting__/graphics/technology/smelting-iron.png",
	icon_size = 128,
	upgrade = true,
	prerequisites =
    {
	"angels-iron-smelting-2",
	"ore-processing-2",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "iron-slag-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-processed-processing"
      },
	  {
        type = "unlock-recipe",
        recipe = "pellet-iron-smelting"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1},
	  },
      time = 45
    },
    order = "c-a"
    },
--ALLOYS
--STEEL
	{
    type = "technology",
    name = "angels-steel-smelting-1",
    icon = "__angelssmelting__/graphics/technology/smelting-steel.png",
	icon_size = 128,
	prerequisites =
    {
	"angels-iron-smelting-1",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "ingot-iron-smelting"
      },
	  {
        type = "unlock-recipe",
        recipe = "molten-steel-smelting-1"
      },
	  {
        type = "unlock-recipe",
        recipe = "angels-plate-steel"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  },
      time = 30
    },
    order = "c-a"
    },
--METALLURGY
	{
    type = "technology",
    name = "angels-metallurgy-1",
    icon = "__angelssmelting__/graphics/technology/blast-furnace-tech.png",
	icon_size = 128,
	prerequisites =
    {
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "blast-furnace"
      },
	  {
        type = "unlock-recipe",
        recipe = "induction-furnace"
      },
	  {
        type = "unlock-recipe",
        recipe = "casting-machine"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  },
      time = 15
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "angels-metallurgy-2",
    icon = "__angelssmelting__/graphics/technology/blast-furnace-tech.png",
	icon_size = 128,
	prerequisites =
    {
	"angels-metallurgy-1",
	"steel-processing",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "blast-furnace-2"
      },
	  {
        type = "unlock-recipe",
        recipe = "induction-furnace-2"
      },
	  {
        type = "unlock-recipe",
        recipe = "casting-machine-2"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  },
      time = 30
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "angels-metallurgy-3",
    icon = "__angelssmelting__/graphics/technology/blast-furnace-tech.png",
	icon_size = 128,
	prerequisites =
    {
	"angels-metallurgy-2",
	"advanced-electronics",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "blast-furnace-3"
      },
	  {
        type = "unlock-recipe",
        recipe = "induction-furnace-3"
      },
	  {
        type = "unlock-recipe",
        recipe = "casting-machine-3"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1},
	  },
      time = 45
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "angels-metallurgy-4",
    icon = "__angelssmelting__/graphics/technology/blast-furnace-tech.png",
	icon_size = 128,
	prerequisites =
    {
	"angels-metallurgy-3",
	"advanced-electronics-2",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "blast-furnace-4"
      },
	  {
        type = "unlock-recipe",
        recipe = "induction-furnace-4"
      },
	  {
        type = "unlock-recipe",
        recipe = "casting-machine-4"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1},
	  {"production-science-pack", 1},
	  },
      time = 60
    },
    order = "c-a"
    },
--ORE PROCESSING
	{
    type = "technology",
    name = "ore-processing-1",
    icon = "__angelssmelting__/graphics/technology/processing-machine-tech.png",
	icon_size = 128,
	prerequisites =
    {
	"angels-metallurgy-1",
	"steel-processing",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "ore-processing-machine"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  },
      time = 30
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "ore-processing-2",
    icon = "__angelssmelting__/graphics/technology/pellet-press-tech.png",
	icon_size = 128,
	prerequisites =
    {
	"ore-processing-1",
	"advanced-electronics",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "ore-processing-machine-2"
      },
	  {
        type = "unlock-recipe",
        recipe = "pellet-press"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1},
	  },
      time = 45
    },
    order = "c-a"
    },
	{
    type = "technology",
    name = "ore-processing-3",
    icon = "__angelssmelting__/graphics/technology/pellet-press-tech.png",
	icon_size = 128,
	prerequisites =
    {
	"ore-processing-2",
	"advanced-electronics-2",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "ore-processing-machine-3"
      },
	  {
        type = "unlock-recipe",
        recipe = "pellet-press-2"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1},
	  {"production-science-pack", 1},
	  },
      time = 60
    },
    order = "c-a"
    },
}
)